{% extends "base.html" %}
{% block content %}
<div class="row">
    <div class="col-md-12">
        <div id="map" style='width: 100%; max-height: 500px'></div>
    </div>
    <script>
        document.addEventListener("DOMContentLoaded", function () {
            const features = []
            const center = [-47.9100981, -15.85144512]
            const accessToken = 'pk.eyJ1IjoiZGVzYXBhcmVjaWRvc21lIiwiYSI6ImNqa3ZrYWdqcDBzMzUzcHBhdGhhdWp1YmEifQ.09Yj5rE71q2u_WGfPu3LFA'

            $.getJSON("{{ url_for('user_controller.notifications_list', _id=_id) }}", function (data) {
                $.each(data.locations, function (key, val) {
                    features.push({
                        "type": "Feature",
                        "properties": {
                            "description": `Data da notificação ${val.registration_date}, Observação ${val.observation}`,
                        },
                        "geometry": {
                            "type": "Point",
                            "coordinates": val.geometry
                        }
                    })
                });

                let geojson = {
                    type: 'FeatureCollection',
                    features: features
                };

                setupMapBox(accessToken, center, "map" , geojson, 3);
            });

        });
    </script>
</div>
{% endblock %}